Subject: Re: RFC: indicating diff strategy in format-patch message headers

From: Eric Wong <[email-masked]>
Date: Sun, 16 Jun 2024 23:47:41 +0000

Konstantin Ryabitsev <[email-masked]> wrote:
> On Wed, Jun 05, 2024 at 10:26:58PM GMT, Eric Wong wrote:
> > > That would be redundant with the message-id. Unfortunately, this doesn't solve
> > > the problem of how to reliably map a commit to the patch from which it
> > > originated, other than using the Message-ID: or Link: trailers.
> > 
> > dfpre:, dfblob:, dfpost: search queries on lore seem to work...
> 
> I've thought about that, but this is also not very reliable, at least not when
> patch series are applied as fast-forwards, not merges. Unfortunately, some
> projects enforce a flat history (glibc, gcc), with merges being specifically
> not allowed -- which means dfblob matching is not going to match a lot of
> commits.

Yeha, my initial plan (way back around 2016 or 2017) was to use
Subject; but I also forgot why I stopped with that idea :x

Anyways, trying to add bs: (body+subject) to queries in addition to dfblob
may prove useful:

https://public-inbox.org/meta/[email-masked]/

Not sure if author + date is necessary...